Debian Bug report logs - #448532
ITP: piwik -- web analytics software

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Frederic Daniel Luc Lehobey <Frederic@Lehobey.net>

Date: Mon, 29 Oct 2007 20:51:03 UTC

Owned by: Daniel Baumann <mail@daniel-baumann.ch>

Severity: wishlist

Merged with 506933, 609521, 730674

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frederic Daniel Luc Lehobey <Frederic@Lehobey.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frederic Daniel Luc Lehobey <Frederic@Lehobey.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: phpmyvisites -- free web analytics
Date: Mon, 29 Oct 2007 21:41:27 +0100
Package: wnpp
Severity: wishlist
Owner: Frederic Daniel Luc Lehobey <Frederic@Lehobey.net>

* Package name    : phpmyvisites
  Version         : 2.3~b4 (2.3 beta4)
  Upstream Author : phpMyVisites team
* URL             : http://www.phpmyvisites.us/
* License         : GPL-any
  Programming Lang: PHP
  Description     : free web analytics

 phpMyVisites is a free and powerful open source (GNU/GPL) software for websites
 statistics and audience measurements. 
 phpMyVisites gives a lot of information on websites visitors, visited pages,
 software/hardware utilization, etc... The GUI Interface is fun and practical.
 The installation is entirely automated and very simple.
 Statistics are very complete and use many clear graphics to present data. The
 web analytics software is translated in more than 30 languages!

For the beta4 release (expected to be the 2.3 final release), I will
target only experimental and move to unstable once 2.3 is really out.

I put below a temptative copyright file following the new proposal
http://wiki.debian.org/Proposals/CopyrightFormat

Best regards,
Frédéric Lehobey

--------------------------------------------------------------------------
This package was downloaded from http://www.phpmyvisites.us/

Files: debian/*
Copyright: © 2007 Frederic Daniel Luc Lehobey <Frederic@Lehobey.net>
License: GPL-3+
 The Debian packaging is under the GPL, version 3 or later

Files: *
Copyright: © 2002-2006 phpMyVisites team
License: GPL-any

Files: libs/artichow/*
Licence: PD

Files: libs/artichow/fonts/DejaVuSans.ttf
Copyright: © 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is
                  a trademark of Bitstream, Inc.
Licence: other
   Permission is hereby granted, free of charge, to any person obtaining a copy
   of the fonts accompanying this license ("Fonts") and associated
   documentation files (the "Font Software"), to reproduce and distribute the
   Font Software, including without limitation the rights to use, copy, merge,
   publish, distribute, and/or sell copies of the Font Software, and to permit
   persons to whom the Font Software is furnished to do so, subject to the
   following conditions:
 .
   The above copyright and trademark notices and this permission notice shall
   be included in all copies of one or more of the Font Software typefaces.
 .
   The Font Software may be modified, altered, or added to, and in particular
   the designs of glyphs or characters in the Fonts may be modified and
   additional glyphs or characters may be added to the Fonts, only if the fonts
   are renamed to names not containing either the words "Bitstream" or the word
   "Vera".
 .
   This License becomes null and void to the extent applicable to Fonts or Font
   Software that has been modified and is distributed under the "Bitstream
   Vera" names.
 .
   The Font Software may be sold as part of a larger software package but no
   copy of one or more of the Font Software typefaces may be sold by itself.
 .
   THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT,
   TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME
   FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING
   ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
   THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE
   FONT SOFTWARE.
 .
   Except as contained in this notice, the names of Gnome, the Gnome
   Foundation, and Bitstream Inc., shall not be used in advertising or
   otherwise to promote the sale, use or other dealings in this Font Software
   without prior written authorization from the Gnome Foundation or Bitstream
   Inc., respectively. For further information, contact: fonts at gnome dot
   org. 

Files: libs/artichow/fonts/Tuffy.ttf
Copyright: © 2006 by Tavmjong Bah. All Rights Reserved.
Licence: other
   Permission is hereby granted, free of charge, to any person obtaining
   a copy of the fonts accompanying this license ("Fonts") and
   associated documentation files (the "Font Software"), to reproduce
   and distribute the modifications to the Bitstream Vera Font Software,
   including without limitation the rights to use, copy, merge, publish,
   distribute, and/or sell copies of the Font Software, and to permit
   persons to whom the Font Software is furnished to do so, subject to
   the following conditions:
 .
   The above copyright and trademark notices and this permission notice
   shall be included in all copies of one or more of the Font Software
   typefaces.
 .
   The Font Software may be modified, altered, or added to, and in
   particular the designs of glyphs or characters in the Fonts may be
   modified and additional glyphs or characters may be added to the
   Fonts, only if the fonts are renamed to names not containing either
   the words "Tavmjong Bah" or the word "Arev".
 .
   This License becomes null and void to the extent applicable to Fonts
   or Font Software that has been modified and is distributed under the 
   "Tavmjong Bah Arev" names.
 .
   The Font Software may be sold as part of a larger software package but
   no copy of one or more of the Font Software typefaces may be sold by
   itself.
 .
   THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
   OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL
   TAVMJONG BAH BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
   INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
   DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
   FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
   OTHER DEALINGS IN THE FONT SOFTWARE.
 .
   Except as contained in this notice, the name of Tavmjong Bah shall not
   be used in advertising or otherwise to promote the sale, use or other
   dealings in this Font Software without prior written authorization
   from Tavmjong Bah. For further information, contact: tavmjong @ free
   . fr.

Files: libs/Cache/*
Copyright: © 2005 Fabien MARTY <fab@php.net>
Licence: LGPL-2.1

Files: libs/Cache/Lite/Function.php
Copyright: © 2005 Sebastian BERGMANN <sb@sebastian-bergmann.de>
           © 2005 Fabien MARTY <fab@php.net>
Licence: LGPL-2.1

Files: libs/fpdf/*
Copyright: © 2004 Olivier PLATHEY
Licence: other
   You may use, modify and redistribute this software as you wish.

Files: libs/Html/*, libs/Net/Socket.php, libs/PEAR.php, libs/Xml/Util.php
Copyright: © 1997-2003 The PHP Group
Licence: other
   -------------------------------------------------------------------- 
                     The PHP License, version 2.02
   Copyright (c) 1999 - 2002 The PHP Group. All rights reserved.
   -------------------------------------------------------------------- 
 .
   Redistribution and use in source and binary forms, with or without
   modification, is permitted provided that the following conditions
   are met:
 .
     1. Redistributions of source code must retain the above copyright
        notice, this list of conditions and the following disclaimer. 
 . 
     2. Redistributions in binary form must reproduce the above 
        copyright notice, this list of conditions and the following 
        disclaimer in the documentation and/or other materials provided
        with the distribution.
 .
     3. The name "PHP" must not be used to endorse or promote products 
        derived from this software without prior permission from the 
        PHP Group.  This does not apply to add-on libraries or tools
        that work in conjunction with PHP.  In such a case the PHP
        name may be used to indicate that the product supports PHP.
 .
     4. The PHP Group may publish revised and/or new versions of the
        license from time to time. Each version will be given a
        distinguishing version number.
        Once covered code has been published under a particular version
        of the license, you may always continue to use it under the
        terms of that version. You may also choose to use such covered
        code under the terms of any subsequent version of the license
        published by the PHP Group. No one other than the PHP Group has
        the right to modify the terms applicable to covered code created
        under this License.
 .
     5. Redistributions of any form whatsoever must retain the following
        acknowledgment:
        "This product includes PHP, freely available from
        http://www.php.net/".
 .
     6. The software incorporates the Zend Engine, a product of Zend
        Technologies, Ltd. ("Zend"). The Zend Engine is licensed to the
        PHP Association (pursuant to a grant from Zend that can be
        found at http://www.php.net/license/ZendGrant/) for
        distribution to you under this license agreement, only as a
        part of PHP.  In the event that you separate the Zend Engine
        (or any portion thereof) from the rest of the software, or
        modify the Zend Engine, or any portion thereof, your use of the
        separated or modified Zend Engine software shall not be governed
        by this license, and instead shall be governed by the license
        set forth at http://www.zend.com/license/ZendLicense/. 
 .
 .
 .
   THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND 
   ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
   PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP
   DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
   INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
   OF THE POSSIBILITY OF SUCH DAMAGE.
 .
   -------------------------------------------------------------------- 
 .
   This software consists of voluntary contributions made by many
   individuals on behalf of the PHP Group.
 .
   The PHP Group can be contacted via Email at group@php.net.
 .
   For more information on the PHP Group and the PHP project, 
   please see <http://www.php.net>.

Files: libs/Net/URL.php, libs/Request/*
Copyright: © 2002-2004 Richard Heyes
Licence: BSD-3

Files: libs/phpmailer/class.phpmailer.php
Copyright: © 2001-2003 Brent R. Matzelle
Licence: LGPL-2.1

Files: libs/phpmailer/class.smtp.php
Copyright: © Chris Ryan
Licence: LGPL-2.1

Files: libs/smarty/*
Copyright: © 2001-2005 New Digital Group, Inc.
Licence: LGPL-2.1+

Files: libs/Xml/*
Copyright: © 1997-2005 The PHP Group
Licence: other
   -------------------------------------------------------------------- 
                     The PHP License, version 3.0
   Copyright (c) 1999 - 2006 The PHP Group. All rights reserved.
   -------------------------------------------------------------------- 
 .
   Redistribution and use in source and binary forms, with or without
   modification, is permitted provided that the following conditions
   are met:
 .
     1. Redistributions of source code must retain the above copyright
        notice, this list of conditions and the following disclaimer.
 .
     2. Redistributions in binary form must reproduce the above copyright
        notice, this list of conditions and the following disclaimer in
        the documentation and/or other materials provided with the
        distribution.
 .
     3. The name "PHP" must not be used to endorse or promote products
        derived from this software without prior written permission. For
        written permission, please contact group@php.net.
 .
     4. Products derived from this software may not be called "PHP", nor
        may "PHP" appear in their name, without prior written permission
        from group@php.net.  You may indicate that your software works in
        conjunction with PHP by saying "Foo for PHP" instead of calling
        it "PHP Foo" or "phpfoo"
 .
     5. The PHP Group may publish revised and/or new versions of the
        license from time to time. Each version will be given a
        distinguishing version number.
        Once covered code has been published under a particular version
        of the license, you may always continue to use it under the terms
        of that version. You may also choose to use such covered code
        under the terms of any subsequent version of the license
        published by the PHP Group. No one other than the PHP Group has
        the right to modify the terms applicable to covered code created
        under this License.
 .
     6. Redistributions of any form whatsoever must retain the following
        acknowledgment:
        "This product includes PHP, freely available from
        <http://www.php.net/>".
 .
   THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND 
   ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
   PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP
   DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
   INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
   OF THE POSSIBILITY OF SUCH DAMAGE.
 .
   -------------------------------------------------------------------- 
 .
   This software consists of voluntary contributions made by many
   individuals on behalf of the PHP Group.
 .
   The PHP Group can be contacted via Email at group@php.net.
 .
   For more information on the PHP Group and the PHP project, 
   please see <http://www.php.net>.
 .
   This product includes the Zend Engine, freely available at
   <http://www.zend.com>.

Files: libs/Xml/RPC.php, libs/Xml/rpc/Server.php
Copyright: © 1999-2001 Edd Dumbill
           © 2001-2006 The PHP Group
Licence: other
   License is granted to use or modify this software
   ("XML-RPC for PHP") for commercial or non-commercial use provided the
   copyright of the author is preserved in any distributed or derivative work.
 .
   THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESSED OR
   IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
   IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
   NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
   THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Files: plugins/clickheat/*
Copyright: © 2002-2007 Labsmedia
Licence: GPL-2


On Debian GNU/Linux systems, the complete text of common licenses can
be found in '/usr/share/common-licenses/'
--------------------------------------------------------------------------

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-5-k7
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frederic Lehobey <Frederic@Lehobey.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #10 received at 448532@bugs.debian.org (full text, mbox):

From: Frederic Lehobey <Frederic@Lehobey.net>
To: 442361@bugs.debian.org
Cc: 448532@bugs.debian.org
Subject: QuickForm PHP Licence makes it undistributable
Date: Fri, 25 Apr 2008 11:54:57 +0200
Hi,

  I am currently working on packaging phpMyVisites for Debian
(http://bugs.debian.org/448532).

  It has a dependency on QuickForm and, hence, possibly a dependency
on your future package.

  Unfortunately, it seems QuickForm has legal problems with its
licence for being included in the archive. See this thread:
    http://lists.debian.org/debian-legal/2006/12/msg00125.html
and particularly:
    http://lists.debian.org/debian-legal/2006/12/msg00144.html

  I have noticed upstream is working on a rewriting under BSD Licence
    http://pear.php.net/package/HTML_QuickForm
to
    http://pear.php.net/package/HTML_QuickForm2
but I do not if it is an exact replacement.

  What are your thoughts? your plans?

Best regards,
Frédéric Lehobey






Blocking bugs of 448532 added: 442361 Request was from Frederic Lehobey <Frederic@Lehobey.net> to control@bugs.debian.org. (Fri, 25 Apr 2008 10:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Rouillard <yann@pleiades.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #17 received at 448532@bugs.debian.org (full text, mbox):

From: Yann Rouillard <yann@pleiades.fr.eu.org>
To: Frederic Lehobey <Frederic@Lehobey.net>, 442361@bugs.debian.org
Cc: 448532@bugs.debian.org
Subject: Re: Bug#442361: QuickForm PHP Licence makes it undistributable
Date: Fri, 25 Apr 2008 13:12:41 +0200
Hi Frederic,

Honestly I was a bit discouraged by this licence problem, I only wanted 
to package Quickform as it was a dependancy of centreon [1].
But lots of pear packages that centreon used suffer from the same 
licence problem, and convince all these developpers to change licence to 
be able to distribute their package in debian, it seems to me, is a long 
and tedious task !

I didn't have time recently to rework on this and talk with developpers, 
 if you're motivated, you can do it and takeover this ITP.

Yann

[1] http://www.centreon.com/

Frederic Lehobey wrote:
> Hi,
> 
>   I am currently working on packaging phpMyVisites for Debian
> (http://bugs.debian.org/448532).
> XML_RPC::1.4.5

>   It has a dependency on QuickForm and, hence, possibly a dependency
> on your future package.
> 
>   Unfortunately, it seems QuickForm has legal problems with its
> licence for being included in the archive. See this thread:
>     http://lists.debian.org/debian-legal/2006/12/msg00125.html
> and particularly:
>     http://lists.debian.org/debian-legal/2006/12/msg00144.html
> 
>   I have noticed upstream is working on a rewriting under BSD Licence
>     http://pear.php.net/package/HTML_QuickForm
> to
>     http://pear.php.net/package/HTML_QuickForm2
> but I do not if it is an exact replacement.
> 
>   What are your thoughts? your plans?
> 
> Best regards,
> Frédéric Lehobey
> 
> 
> 
> 





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frederic Lehobey <Frederic@Lehobey.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #22 received at 448532@bugs.debian.org (full text, mbox):

From: Frederic Lehobey <Frederic@Lehobey.net>
To: 442361@bugs.debian.org
Cc: Yann Rouillard <yann@pleiades.fr.eu.org>, 448532@bugs.debian.org
Subject: Re: Bug#442361: QuickForm PHP Licence makes it undistributable
Date: Tue, 6 May 2008 11:11:39 +0200
Hi Yann,

Yann Rouillard <yann@pleiades.fr.eu.org> (2008-04-25 13:12:41) :

> Honestly I was a bit discouraged by this licence problem, I only wanted 
> to package Quickform as it was a dependancy of centreon [1].
> But lots of pear packages that centreon used suffer from the same 
> licence problem, and convince all these developpers to change licence to 
> be able to distribute their package in debian, it seems to me, is a long 
> and tedious task !

  I am not sure the licence problem is that serious as I have found
other packages already included in the archive with the same licence,
like php-html-common:
http://packages.debian.org/changelogs/pool/main/p/php-html-common/php-html-common_1.2.3-2/php-html-common.copyright

> I didn't have time recently to rework on this and talk with developpers, 
>  if you're motivated, you can do it and takeover this ITP.

  For the moment, I have kept QuickForm included inside my
phpMyVisites package (no need and no plans to build a standalone
package). But I would be willing to link to your package
instead. Would you be interested in comaintenance of the QuickForm
package? http://wiki.debian.org/Teams/CollabMaint

Best regards,
Frédéric Lehobey




Blocking bugs of 448532 removed: 442361 Request was from Frederic Lehobey <Frederic@Lehobey.net> to control@bugs.debian.org. (Wed, 14 May 2008 22:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frederic Lehobey <Frederic@Lehobey.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #29 received at 448532@bugs.debian.org (full text, mbox):

From: Frederic Lehobey <Frederic@Lehobey.net>
To: debian-mentors@lists.debian.org
Cc: 448532@bugs.debian.org, debian-webapps@lists.debian.org
Subject: RFS: phpmyvisites -- free web analytics
Date: Thu, 15 May 2008 01:02:55 +0200
Dear mentors,

I am looking for a sponsor for my package "phpmyvisites".

* Package name    : phpmyvisites
  Version         : 2.3-1
  Upstream Author : phpMyVisites team
* URL             : http://www.phpmyvisites.us/
* License         : GPL-any
  Section         : web
  Programming Lang: PHP
  Description     : free web analytics

 phpMyVisites is a free and powerful open source (GNU/GPL) software for websites
 statistics and audience measurements.
 phpMyVisites gives a lot of information on websites visitors, visited pages,
 software/hardware utilization, etc... The GUI Interface is fun and practical.
 The installation is entirely automated and very simple.
 Statistics are very complete and use many clear graphics to present data. The
 web analytics software is translated in more than 30 languages!

It builds these binary packages:
phpmyvisites - free web analytics

The package appears to be lintian clean.

The upload would fix these bugs: 448532

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/p/phpmyvisites
- Source repository: deb-src http://mentors.debian.net/debian unstable main
- dget http://mentors.debian.net/debian/pool/main/p/phpmyvisites/phpmyvisites_2.3-1.dsc

I would be glad if someone reviewed and uploaded this package for me.
It is my first php package. I have mostly taken inspiration from
dokuwiki package (and some others).

It does not uses debconf nor dbconfig-common yet but both might be
introduced in the future for package configuration (with heavy changes
to upstream though: I will follow advice from mentors and sponsor).

Kind regards
Frédéric Daniel Luc Lehobey




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #34 received at 448532@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-mentors@lists.debian.org, 448532@bugs.debian.org, debian-webapps@lists.debian.org
Subject: Re: RFS: phpmyvisites -- free web analytics
Date: Wed, 21 May 2008 22:03:52 +0200
[Message part 1 (text/plain, inline)]
OoO En  cette nuit nuageuse du  jeudi 15 mai 2008,  vers 01:02, Frederic
Lehobey <Frederic@Lehobey.net> disait:

> I am looking for a sponsor for my package "phpmyvisites".

Hi Frederic!

php4  will  not  be  part  of  lenny, therefore,  you  can  remove  php4
dependencies.  Moreover, php5  depends on  libapache2-mod-php5.  You can
drop "Suggests" too. I don't  know if the content of artichow/php4 could
be dropped too.

You  short description  is very  short. You  may want  to complete  it a
bit. You should add a blank line in the long description.

About debian/copyright, you cannot ship  files using PHP License 2.02 or
PHP License  3.0. This will be  rejected by ftp-master. You  seem to not
ship most of those files but  you still ship QuickForm. For other files,
you  should add  a notice  in debian/copyright  that the  files  are not
shipped with the package.

For QuickForm,  does QuickForm2 is an acceptable  drop-in replacement?

You should use  dbconfig-common to configure database. This  is not very
difficult and there  is a lot of packages using it.  You could also ship
Apache   configuration   in    /etc/apache2/conf.d   (with   a   debconf
question). You can look at other web apps for some source of inspiration
on  this matter  (mediawiki, roundcube,  ...)  or at  the webapps  draft
policy.
-- 
I WILL NOT INSTIGATE REVOLUTION
I WILL NOT INSTIGATE REVOLUTION
I WILL NOT INSTIGATE REVOLUTION
-+- Bart Simpson on chalkboard in episode 7G06
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frederic Lehobey <Frederic@Lehobey.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #39 received at 448532@bugs.debian.org (full text, mbox):

From: Frederic Lehobey <Frederic@Lehobey.net>
To: debian-mentors@lists.debian.org, 448532@bugs.debian.org, debian-webapps@lists.debian.org
Subject: Re: Bug#448532: RFS: phpmyvisites -- free web analytics
Date: Wed, 21 May 2008 23:30:00 +0200
Hi Vincent,

  Thanks a lot for your feedback. A first round of answers.

Vincent Bernat <bernat@debian.org> (2008-05-21 22:03:52) :
> OoO En  cette nuit nuageuse du  jeudi 15 mai 2008,  vers 01:02, Frederic
> Lehobey <Frederic@Lehobey.net> disait:

> php4  will  not  be  part  of  lenny, therefore,  you  can  remove  php4
> dependencies.

  I know this. I left them in the purpose of building backports, but I
can remove them and add them only in the backport. I will remove them
then.

>                Moreover, php5  depends on  libapache2-mod-php5.  You can
> drop "Suggests" too.

  Ok. Thanks.

>                      I don't  know if the content of artichow/php4 could
> be dropped too.

  Probably, yes.

> You  short description  is very  short. You  may want  to complete  it a
> bit. You should add a blank line in the long description.

  Ok. Will fix these.

> About debian/copyright, you cannot ship  files using PHP License 2.02 or
> PHP License  3.0. This will be  rejected by ftp-master.

  That is what I feared at first (see #442361), but I found other
packages (like php-html-common,
http://packages.debian.org/changelogs/pool/main/p/php-html-common/current/copyright,
php-net-socket, php-xml-parser [3.0], all of which are in my
dependencies) that are under PHP License 2.02 and already included in
the archive.

>                                                         You  seem to not
> ship most of those files but  you still ship QuickForm. For other files,
> you  should add  a notice  in debian/copyright  that the  files  are not
> shipped with the package.

  Very precisely, currently, the files of the dependencies _are_ in
upstream tarball (and in the source package), but not _used_ by my
package (using Debian packages instead). Do you mean I should remove
all those files from upstream tarball and create some repackaged
phpmyvisites.dfsg upstream sources?

> For QuickForm,  does QuickForm2 is an acceptable  drop-in replacement?

  Not tried it yet. Upstream is
http://pear.php.net/package/HTML_QuickForm2 but from what I have read
(sorry I do not have the link at hand) it _seems_ that not, but I
should try then if the license problems really get in the way.

> You should use  dbconfig-common to configure database. This  is not very
> difficult and there  is a lot of packages using it.

  Yes, I am willing to do it, but (as I said in README.Debian) I fear
it will require quite heavy patching of upstream (there is an
installation procedure quite intricately included in the rest of the
code) and I am undecided about what would be the best way to do it. Do
you have some example of other packages PHP where only _parts_ of the
installation procedure has been diverted in order to take advantage of
dbconfig-common?

  Should I completely rewrite an other installation procedure from
scratch with _many_ debconf questions and templates (won't it be a
debconf abuse?)? (I think it might be much simpler to implement.)

>                                                      You could also ship
> Apache   configuration   in    /etc/apache2/conf.d   (with   a   debconf
> question).

  Yes, if I go using debconf, I can do this too.

>            You can look at other web apps for some source of inspiration
> on  this matter  (mediawiki, roundcube,  ...)  or at  the webapps  draft
> policy.

  Thanks again for your feedback. I will try to address all your
suggestions (the license problem, I fear, been the most problematic
one) and come back with an updated package.

Best regards,
Frédéric Lehobey
PS : I have fulfilled your Mail-Followup-To, but should
dbconfig-common questions go to -mentors, -webapps or both? (I do not
want to bother people).   :-)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #44 received at 448532@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-mentors@lists.debian.org, 448532@bugs.debian.org, debian-webapps@lists.debian.org
Subject: Re: Bug#448532: RFS: phpmyvisites -- free web analytics
Date: Thu, 22 May 2008 07:05:02 +0200
[Message part 1 (text/plain, inline)]
OoO La  nuit ayant  déjà recouvert  d'encre ce jour  du mercredi  21 mai
2008, vers 23:30, Frederic Lehobey <Frederic@Lehobey.net> disait:

>> About debian/copyright, you cannot ship  files using PHP License 2.02 or
>> PHP License  3.0. This will be  rejected by ftp-master.

>   That is what I feared at first (see #442361), but I found other
> packages (like php-html-common,
> http://packages.debian.org/changelogs/pool/main/p/php-html-common/current/copyright,
> php-net-socket, php-xml-parser [3.0], all of which are in my
> dependencies) that are under PHP License 2.02 and already included in
> the archive.

I don't  remember exactly  how this is  handled, but those  licenses are
accepted only for PHP, as per REJECT FAQ:
 http://ftp-master.debian.org/REJECT-FAQ.html

I  suppose   that  the   packages  you  cite   were  here   before  this
statement.  There  are  bugs  filed  in  this  case.  For  example,  for
php-net-socket:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=332616
(not a very active bug)

This  is  quite unfair  that  already  packaged  packages can  keep  the
problematic  PHP  license  and  that  new  softwares  are  automatically
rejected on this  basis. You might ask on  debian-legal if the situation
has somewhat evolved on this situation.

>> You  seem to not
>> ship most of those files but  you still ship QuickForm. For other files,
>> you  should add  a notice  in debian/copyright  that the  files  are not
>> shipped with the package.

>   Very precisely, currently, the files of the dependencies _are_ in
> upstream tarball (and in the source package), but not _used_ by my
> package (using Debian packages instead). Do you mean I should remove
> all those files from upstream tarball and create some repackaged
> phpmyvisites.dfsg upstream sources?

No, those  files are allowed to  be distributed freely. Just  add a note
(above the license)  to tell that those files are  not shipped in binary
packages.  Otherwise, ftp-master  might be  a  bit quick  to reject  the
package.

>> You should use  dbconfig-common to configure database. This  is not very
>> difficult and there  is a lot of packages using it.

>   Yes, I am willing to do it, but (as I said in README.Debian) I fear
> it will require quite heavy patching of upstream (there is an
> installation procedure quite intricately included in the rest of the
> code) and I am undecided about what would be the best way to do it. Do
> you have some example of other packages PHP where only _parts_ of the
> installation procedure has been diverted in order to take advantage of
> dbconfig-common?

I do it  for text-pattern: I just create the empty  database and let the
installation scripts  (a bit  patched) do the  remaining. This  is quite
intrusive  and difficult  to maintain:  textpattern was  also  trying to
create the  database. Since this is  not the case  for phpmyvisites, you
can try  to just create an  empty database with  dbconfig-common and let
phpmyvisites handle the remaining installation procedure.

> PS : I have fulfilled your Mail-Followup-To, but should
> dbconfig-common questions go to -mentors, -webapps or both? (I do not
> want to bother people).  :-)

Well, mentors is a good place  for all kind of questions. And webapps is
a good place too since we are talking about a webapp.
-- 
 Question: Comment s'écrit Jacoboni ?
 Réponse: Jacoboni, pas Jacobini.
 -+- fcol-faq in Guide du linuxien pervers - "Bien configurer son Jaco" -+-
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Rouillard <yann@pleiades.fr.eu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, frederic daniel luc lehobey <frederic@lehobey.net>. Full text and rfc822 format available.

Message #49 received at 448532@bugs.debian.org (full text, mbox):

From: Yann Rouillard <yann@pleiades.fr.eu.org>
To: Frederic Lehobey <Frederic@Lehobey.net>, 442361@bugs.debian.org
Cc: 448532@bugs.debian.org
Subject: Re: Bug#442361: QuickForm PHP Licence makes it undistributable
Date: Thu, 29 May 2008 14:03:27 +0200
Hi Frederic,

Sorry for not having answered sooner, my spare time has been reduced
since some personal events.

However I would be glad to do collab maintenance with you, as I would
also need this package for centreon, as soon as we setup the environment
I can upload the package I've already made.

But I still think we should clarify this license problem (but hey if we
try to upload it, we will have the answer quickly !).

It seems some php packages are maintained by members of pkg-php-maint,
we could also try to join this team.

Yann


Frederic Lehobey a écrit :
> Hi Yann,
> 
> Yann Rouillard <yann@pleiades.fr.eu.org> (2008-04-25 13:12:41) :
> 
>> Honestly I was a bit discouraged by this licence problem, I only wanted 
>> to package Quickform as it was a dependancy of centreon [1].
>> But lots of pear packages that centreon used suffer from the same 
>> licence problem, and convince all these developpers to change licence to 
>> be able to distribute their package in debian, it seems to me, is a long 
>> and tedious task !
> 
>   I am not sure the licence problem is that serious as I have found
> other packages already included in the archive with the same licence,
> like php-html-common:
> http://packages.debian.org/changelogs/pool/main/p/php-html-common/php-html-common_1.2.3-2/php-html-common.copyright
> 
>> I didn't have time recently to rework on this and talk with developpers, 
>>  if you're motivated, you can do it and takeover this ITP.
> 
>   For the moment, I have kept QuickForm included inside my
> phpMyVisites package (no need and no plans to build a standalone
> package). But I would be willing to link to your package
> instead. Would you be interested in comaintenance of the QuickForm
> package? http://wiki.debian.org/Teams/CollabMaint
> 
> Best regards,
> Frédéric Lehobey
> 
> 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, frederic daniel luc lehobey <frederic@lehobey.net>:
Bug#448532; Package wnpp. (Mon, 24 May 2010 19:11:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, frederic daniel luc lehobey <frederic@lehobey.net>. (Mon, 24 May 2010 19:11:13 GMT) Full text and rfc822 format available.

Message #54 received at 448532@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 448532@bugs.debian.org
Cc: control@bugs.debian.org
Subject: phpmyvisites: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:06:00 +0000
retitle 448532 RFP: phpmyvisites -- free web analytics
noowner 448532
thanks

Hi,

This is an automatic email to change the status of phpmyvisites back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting phpmyvisites, please send a mail to
<control@bugs.debian.org> with:

 retitle 448532 ITP: phpmyvisites -- free web analytics
 owner 448532 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <448532@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: phpmyvisites -- free web analytics' from 'ITP: phpmyvisites -- free web analytics' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:22:36 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by frederic daniel luc lehobey <frederic@lehobey.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:22:36 GMT) Full text and rfc822 format available.

Forcibly Merged 448532 506933 609521. Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 00:30:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: piwik -- real time web analytics software program' from 'RFP: phpmyvisites -- free web analytics' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 00:30:07 GMT) Full text and rfc822 format available.

Owner recorded as Fabrizio Regalli <fabreg@fabreg.it>. Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Wed, 09 Mar 2011 00:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448532; Package wnpp. (Mon, 14 Mar 2011 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Mar 2011 22:33:06 GMT) Full text and rfc822 format available.

Message #69 received at 448532@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 448532@bugs.debian.org
Subject: Re: ITP: piwik -- real time web analytics software program
Date: Mon, 14 Mar 2011 23:26:37 +0100
[Message part 1 (text/plain, inline)]
Hello,

I'm working on piwik for about two months.
I reached a good point but for finish it, I need help with flash/swf
files.
In the piwik source package there are 2 files released in swf format.
If someone know how to compile these files and would be help me with the
packaging, feel free to reply to this bug or contact me.
I also opened a collaborative maintenance project on Alioth [1] 
Any help would be greatly appreciated

Cheers,
Fabrizio.

[1]http://svn.debian.org/wsvn/collab-maint/deb-maint/piwik/#_deb-maint_piwik_
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFH: piwik -- real time web analytics software program' from 'ITP: piwik -- real time web analytics software program' Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Thu, 17 Mar 2011 23:36:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: piwik -- real time web analytics software program' from 'RFH: piwik -- real time web analytics software program' Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Mon, 09 May 2011 20:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#448532; Package wnpp. (Wed, 29 Jun 2011 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Wed, 29 Jun 2011 19:00:03 GMT) Full text and rfc822 format available.

Message #78 received at 448532@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Fabrizio Regalli <fabreg@fabreg.it>
Cc: 448532@bugs.debian.org
Subject: Re: ITP: piwik -- real time web analytics software program
Date: Wed, 29 Jun 2011 20:56:54 +0200
[Message part 1 (text/plain, inline)]
OoO La nuit ayant déjà recouvert  d'encre ce jour du lundi 14 mars 2011,
vers 23:26, Fabrizio Regalli <fabreg@fabreg.it> disait :

> I'm working on piwik for about two months.
> I reached a good point but for finish it, I need help with flash/swf
> files.
> In the piwik source package there are 2 files released in swf format.
> If someone know how to compile these files and would be help me with the
> packaging, feel free to reply to this bug or contact me.
> I also opened a collaborative maintenance project on Alioth [1] 
> Any help would be greatly appreciated

1.5 is out  and it seems that now  Flash is not needed any  more. I have
looked at the sources and there are still some SWF files but if they are
not  strictly  needed,  you can  just  don't  ship  them in  the  binary
packages.
-- 
Vincent Bernat ☯ http://www.luffy.cx

HARDFAIL("Not enough magic.");
        2.4.0-test2 /usr/src/linux/drivers/block/nbd.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448532; Package wnpp. (Wed, 29 Jun 2011 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Jun 2011 19:51:06 GMT) Full text and rfc822 format available.

Message #83 received at 448532@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Vincent Bernat <bernat@debian.org>
Cc: 448532@bugs.debian.org
Subject: Re: ITP: piwik -- real time web analytics software program
Date: Wed, 29 Jun 2011 21:42:59 +0200
[Message part 1 (text/plain, inline)]
Hi Vincent,

and thanks for your reply.

> 1.5 is out  and it seems that now  Flash is not needed any  more. I have
> looked at the sources and there are still some SWF files but if they are
> not  strictly  needed,  you can  just  don't  ship  them in  the  binary
> packages.

I know. I updated it on git[1] some days ago.
When I get more free time I will try to check it betters.

Cheers,
Fabrizio.

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/piwik.git;a=summary
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448532; Package wnpp. (Tue, 26 Jul 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 26 Jul 2011 21:57:03 GMT) Full text and rfc822 format available.

Message #88 received at 448532@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: control <control@bugs.debian.org>
Cc: 506933 <506933@bugs.debian.org>, 609521 <609521@bugs.debian.org>, 448532 <448532@bugs.debian.org>
Subject: Re: ITP: piwik -- real time web analytics software program
Date: Tue, 26 Jul 2011 23:40:56 +0200
[Message part 1 (text/plain, inline)]
retitle RFH: piwik -- real time web analytics software program
thanks

Hello,

I would like to finish packaging piwik.
On git everything is up-to-date but there are some modifications to do.
At the moment the package install itself but needs to be configured
(actually it can be possible only manually) and for this reason, I would
like to use debconf template for install/configure it (something like
phpmyadmin or roundcube packages does)
I put again this package in 'RFH' state, hoping to find someone
interested in co-maintaining this package. Preferably a DD or however a
person with experience in packaging that can help me/teach me/follow me
and both we can finish this work.

Thanks.

Cheers,
Fabrizio.

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFH: piwik -- real time web analytics software program' from 'ITP: piwik -- real time web analytics software program' Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Tue, 26 Jul 2011 22:12:03 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 12 Jan 2012 03:03:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: piwik -- real time web analytics software program' from 'RFH: piwik -- real time web analytics software program' Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 20:51:09 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 02:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#448532; Package wnpp. (Mon, 04 Jun 2012 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Mon, 04 Jun 2012 16:15:06 GMT) Full text and rfc822 format available.

Message #101 received at 448532@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: 448532 <448532@bugs.debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Subject: Packaging Piwik for Debian
Date: Mon, 4 Jun 2012 11:12:49 -0500
Hi Fabrizio,

I have recently started using Piwik, and would love to have it as part
of Debian. I just found this bug report; finding you have kept
regularly updating the repository at least until last March (it does
not yet include the 1.8/1.8.1 releases, but they are very recent). 

What is the overall state of the packaging? Is there anything you want
me to do to help you get it up to speed? We are (marginally, but
still) in time to get it included in Wheezy, and I'm interested in
putting some work to it :)

Greetings,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448532; Package wnpp. (Mon, 04 Jun 2012 17:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Jun 2012 17:48:02 GMT) Full text and rfc822 format available.

Message #106 received at 448532@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Gunnar Wolf <gwolf@gwolf.org>
Cc: 448532 <448532@bugs.debian.org>, 609521@bugs.debian.org, Antoine Beaupré <anarcat@debian.org>
Subject: Re: Packaging Piwik for Debian
Date: Mon, 04 Jun 2012 19:44:00 +0200
[Message part 1 (text/plain, inline)]
Hi Gunnar,

On Mon, 2012-06-04 at 11:12 -0500, Gunnar Wolf wrote:
> Hi Fabrizio,
> 
> I have recently started using Piwik, and would love to have it as part
> of Debian.

Great!

>  I just found this bug report; finding you have kept
> regularly updating the repository at least until last March (it does
> not yet include the 1.8/1.8.1 releases, but they are very recent). 
> What is the overall state of the packaging?

Until the 1.6.1 version it compiled fine.
After this version, I just upload the package to our git repository and
adjusted some little things like broken sim links and removed extra
license files. 

>  Is there anything you want me to do to help you get it up to speed? 

Actually Piwik install only the files in the right path without
configuring it. My idea was to use debconf template (like phpBB package
does, for example)in order to configure/settings package correctly but
my skill about debconf is very poor, so I can't do it.  

For starting again with Piwik package, this is what we need:

- upload to 1.8.1

- general package review: try to build and fix the lintian messages (I
saw the e-mail from Antoine just now but seem he has already discovered
many problems)

- debian/copyright: it needs to be reviewed again

- add debconf template 

- swf files: understand what we can do with these files (old mine
message on d-mentors about this
http://lists.debian.org/debian-mentors/2011/03/msg00085.html )

I'm very happy to know there are other people interested in packaging
Piwik! That's a good news!
If you want, we can work all together for trying to upload (finally!! :)
Piwik in Debian.

Thanks Gunnar and thanks Antoine for your time.

Have a nice day.
Fabrizio.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#448532; Package wnpp. (Sat, 02 Mar 2013 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Sat, 02 Mar 2013 18:57:06 GMT) Full text and rfc822 format available.

Message #111 received at 448532@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 448532@bugs.debian.org, fabreg@fabreg.it
Subject: State of the piwik package
Date: Sat, 2 Mar 2013 19:48:38 +0100
Hi,

I just looked at the control file and changelog in collab-maint
and have some comments:

 - the latest version of piwik is 1.10.1, please update
 - I'm not seeing any closed source parts anymore, so let's
   change non-free/web to web
 - the SWFs can probably ignored, nobody has flash installed/
   enabled anyway, nowadays :~) thanks jqplot.js
 - you mention open source and GPL in the description, which is
   redundant inside Debian main; I suggest for the short
   description e.g. "real time web analytics application" and for
   the long one from Wikipedia:
   "Piwik tracks online visits to one or more websites and
   displays reports on these visits for analysis.
   Piwik displays reports regarding the geographic location
   of visits, the source of visits (i.e. whether they came
   from a website, directly, or something else), the
   technical capabilities of visitors (browser, screen size,
   operating system, etc.), what the visitors did (pages
   they viewed, actions they took, how they left), the time
   of visits and more."
   Not sure, whether this is better.

I wonder, whether piwik will be difficult to maintain. They seem
to release a new version about once a month. But will security
fixes be backported to a version in a stable Debian release?

Cheers and many thanks for working on this!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#448532; Package wnpp. (Thu, 28 Nov 2013 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Thu, 28 Nov 2013 06:48:04 GMT) Full text and rfc822 format available.

Message #116 received at 448532@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Shawn Landden <shawnlandden@gmail.com>, 730674@bugs.debian.org
Cc: 448532@bugs.debian.org
Subject: Re: Bug#730674: ITP: piwik -- Open Source Web Analytics Software
Date: Thu, 28 Nov 2013 07:45:47 +0100
Hi Shawn,

On Wed, Nov 27, 2013 at 05:50:02PM -0800, Shawn Landden wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Shawn Landden <shawn@churchofgit.com>
> 
> * Package name    : piwik
>   Version         : 1.12
>   Upstream Author : Matthieu Aubry
> * URL             : http://piwik.org/
> * License         : GPL
>   Programming Lang: PHP
>   Description     : Free Web Analytics Software
> 
> Piwik is the Leading Self-Hosted, Decentralized, Open Source Web Analytics
> Platform, used by 460,000 websites in 150 countries. Piwik was founded by
> Matthieu Aubry in 2007. Over the last five years, more talented and
> passionate members of the community have joined the team.

Note there is already http://bugs.debian.org/448532 for the ITP for
piwik.

Regards,
Salvatore



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>:
Bug#448532; Package wnpp. (Wed, 12 Mar 2014 16:12:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabrizio Regalli <fabreg@fabreg.it>. (Wed, 12 Mar 2014 16:12:21 GMT) Full text and rfc822 format available.

Message #121 received at 448532@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 448532@bugs.debian.org, 506933@bugs.debian.org, 609521@bugs.debian.org, 730674@bugs.debian.org
Subject: Re: ITP: piwik -- web analytics software
Date: Wed, 12 Mar 2014 17:11:39 +0100
retitle 448532 ITP: piwik -- web analytics software
retitle 506933 ITP: piwik -- web analytics software
retitle 609521 ITP: piwik -- web analytics software
retitle 730674 ITP: piwik -- web analytics software
owner 448532 Daniel Baumann <mail@daniel-baumann.ch>
owner 506933 Daniel Baumann <mail@daniel-baumann.ch>
owner 609521 Daniel Baumann <mail@daniel-baumann.ch>
owner 730674 Daniel Baumann <mail@daniel-baumann.ch>
forcemerge 448532 730674
thanks

after having worked on #609521 already a couple of years ago, i'll
finally got to it now and am finishing up the last remaining things.

the preliminary packaging is available at
http://daniel-baumann.ch/gitweb/?p=debian/packages/piwik.git

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'ITP: piwik -- web analytics software' from 'ITP: piwik -- real time web analytics software program' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Mar 2014 16:12:35 GMT) Full text and rfc822 format available.

Owner changed from Fabrizio Regalli <fabreg@fabreg.it> to Daniel Baumann <mail@daniel-baumann.ch>. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Mar 2014 16:12:37 GMT) Full text and rfc822 format available.

Merged 448532 506933 609521 730674 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Mar 2014 16:12:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:23:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.